<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" isELIgnored="false" session="false"%>
<%@ include file="/WEB-INF/jsp/include/taglib.jsp"%>
<jsp:include page="/WEB-INF/jsp/include/head.jsp" />
<body>
    <div class="layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <jsp:include page="/WEB-INF/jsp/include/userMenus.jsp" />
            <div class="layout-page">
                <jsp:include page="/WEB-INF/jsp/include/top.jsp" />

                <div id="tabsForInnerPage" class="nav-align-top mt-2">
		            <ul class="nav nav-tabs nav-tabs-ifr">
		            	<li id="li-dashboard" class="nav-item" role="presentation">
		            		<button type="button" data-bs-toggle="tab" data-bs-target="#tab-dashboard"
		            			class="nav-link nav-link-closeable active" aria-selected="true" role="tab">
		            		대시보드
		            		</button>
		            	</li>
		            </ul>
		        </div>
		        <div id="innerPageTabContents" class="tab-content">
		        	<div id="tab-dashboard" class="tab-pane active show" role="tabpanel">
		        		<div id="divdashboard" style="max-height: 800px;overflow-y:auto;">
		        			<div class="content-wrapper">
		        				<div class="container-xxl flex-grow-1 container-p-y" 
		        				style="display: flex;flex-flow: column;align-items: center;">
		        					<jsp:include page="/WEB-INF/jsp/include/dashboard.jsp" />
		        				</div>
		        			</div>
		        		</div>
		        	</div>
		        </div>
            </div>
        </div>
    </div>

    <jsp:include page="/WEB-INF/jsp/include/tail.jsp" />
    
    <c:set var="onload">
		$("#layout-navbar input[name='taskSeCd'][value='DPV']").prop("checked",true);
    </c:set>
    
    <script>
    	const FETCH_XXS = 10;
    	const FETCH_XS = 30;
    	const FETCH_SM = 50;
    	const FETCH_MD = 100;
    	const FETCH_LG = 300;
    	const FETCH_XL = 500;
    	const FETCH_XXL = 1000;
    	
    	var pageObject = {};
    	pageObject.childReq = [];
    	pageObject.parentRes = [];
    	
    	function getBrowserName() {
    	    var agent = navigator.userAgent.toUpperCase();
    	    if (agent.indexOf('TRIDENT') >= 0) {
    	        return 'IE';
    	    } else if (agent.indexOf('FIREFOX') >= 0) {
    	        return 'FIREFOX';
    	    } else if (agent.indexOf('EDG') >= 0) {
    	        return 'EDGE';
    	    } else if (agent.indexOf('CHROME') >= 0) {
    	        return 'CHROME';
    	    } else if (agent.indexOf('SAFARI') >= 0) {
    	        return 'SAFARI';
    	    } else {
    	        return '';
    	    }
    	}
    	const BROWSER_NAME = getBrowserName();
    	var VERTICAL_SCROLL_HEIGHT = 14;
    	switch(BROWSER_NAME){
    		case "EDGE" :
    			VERTICAL_SCROLL_HEIGHT = 14;
    			break;
    		case "FIREFOX" :
    			VERTICAL_SCROLL_HEIGHT = 15;
    			break;
    		case "CHROME" :
    			VERTICAL_SCROLL_HEIGHT = 15;
    			break;	
    	}
    	
        ${functions}

        ${topScript}
        
        ${userMenus}

        ${dashboardScript}
        
        $(function(){
            ${onload}
        });
    </script>
</body>
</html>